<template>
    <!-- call modal -->
    <div class="modal call fade show" style="display: block" id="call" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-dialog-zoom" role="document">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="call">
                        <div class="call-background"></div>
                        <div>
                            <figure class="mb-4 avatar avatar-xl">
                                <img :src="'assets/chat/dist/media/img/1.jpeg'" class="rounded-circle">
                            </figure>
                            <h4 class="text-center">Jennica Kindred calling ...</h4>
                            <div class="action-button">
                                <button type="button" class="btn btn-danger btn-floating btn-lg" @click="reject" data-dismiss="modal">
                                    <i class="ti-close"></i>
                                </button>
                                <button type="button" @click="answer" class="btn btn-success btn-pulse btn-floating btn-lg">
                                    <i class="fa fa-phone"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- ./ call modal -->
</template>
<script>
    export default {
        methods: {
            answer(){
                this.$emit('callStatus',1);
            },
            reject(){
                this.$emit('callStatus',0);
            }
        }
    }
</script>
